Package org.apache.sling.starter.testservices.exported

# Class MappingsFacade

java.lang.Object
org.apache.sling.starter.testservices.exported.MappingsFacade

public class MappingsFacade extends Object
Facade for saving mappings and waiting for the corresponding events

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MAPPING_EVENT_TOPIC`
`static final String`
`MAPPING_UPDATE_TIMEOUT_MSEC`

## Constructor Summary

Constructors
Constructor
Description
`MappingsFacade(EventsCounter c)`

## Method Summary

Modifier and Type
Method
Description
`String`
`saveMappings(javax.jcr.Session session)`
Save a Session that has mapping changes, and wait for the OSGi event that signals that mappings have been updated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAPPING_EVENT_TOPIC

public static final String MAPPING_EVENT_TOPIC

See Also:
  - Constant Field Values

### MAPPING_UPDATE_TIMEOUT_MSEC

public static final String MAPPING_UPDATE_TIMEOUT_MSEC

See Also:
  - Constant Field Values

## Constructor Details

### MappingsFacade

public MappingsFacade(EventsCounter c)

## Method Details

### saveMappings

public String saveMappings(javax.jcr.Session session) throws Exception
Save a Session that has mapping changes, and wait for the OSGi event that signals that mappings have been updated.

Parameters:
  `session` - the JCR session
Returns:
  error message, null if ok
Throws:
  `Exception` - in case of any errors